### Method

# GtkSource CompletionProvider get_title

#### Declaration [src]

    char*
    gtk_source_completion_provider_get_title (
      GtkSourceCompletionProvider* self
    )

#### Description [src]

Gets the title of the completion provider, if any.

Currently, titles are not displayed in the completion results, but may be at some point in the future when non-`NULL`.

#### Return value

Type: `char*`

A title for the provider or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.